Skip to content

List time entries

GET
/time-entries
curl --request GET \
--url 'https://app.buildworkpro.com/api/v1/time-entries?isReviewed=true' \
--header 'Authorization: Bearer <token>'

Returns a cursor-paginated list of time entries.

limit
integer
>= 1 <= 100
cursor
string
projectId
integer | null
userId
integer | null
dateFrom
string
dateTo
string
isReviewed
string
Allowed values: true false
compact

Return compact row projection (id + key fields only).

boolean

Return compact row projection (id + key fields only).

TimeEntries page

Media type application/json
object
data
required
Array<object>
object
id
required
integer
projectId
required
integer
userId
required
integer
taskId
required
integer | null
phaseId
required
integer | null
date
required
Any of:
string format: date-time
hours
required
string
hourlyRate
required
string | null
totalCost
required
string | null
description
required
string | null
lat
required
number | null
lng
required
number | null
isReviewed
required
boolean
createdAt
required
Any of:
string format: date-time
updatedAt
required
Any of:
string format: date-time
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer
Example generated
{
"data": [
{
"id": 1,
"projectId": 1,
"userId": 1,
"taskId": 1,
"phaseId": 1,
"date": "2026-04-15T12:00:00Z",
"hours": "example",
"hourlyRate": "example",
"totalCost": "example",
"description": "example",
"lat": 1,
"lng": 1,
"isReviewed": true,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
],
"meta": {
"request_id": "example",
"pagination": {
"cursor": "example",
"has_more": true,
"count": 1
}
}
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}